Switch QoS
17 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| modifyRuleIndex | PUT | Drag and sort the QoS rules. |
| getOswQosMode | GET | Get switch QoS mode. |
| modifyOswQosMode | PUT | Modify switch QoS mode. |
| getQosRules | GET | Get switch QoS rules. |
| createQosRule | POST | Create switch QoS rule. |
| deleteQosRule | DELETE | Delete switch QoS rule. |
| modifyQosRule | PUT | Modify switch QoS rule. |
| getSelectedDeviceBriefInfo | POST | Get switch QoS selected device brief info. |
| getDscpMapping | GET | Get switch QoS dscp mapping. |
| modifyDscpMapping | PUT | Modify switch QoS dscp mapping. |
| getSchedulerMapping | GET | Get switch QoS queue scheduling. |
| modifySchedulerMapping | PUT | Modify switch QoS queue scheduling. |
| getSelectableDevices | GET | Get switch QoS selectable devices. |
| getAllSelectableDevices | GET | Get switch QoS all selectable device's mac. |
| modifyQosRuleStatus | PUT | Modify switch QoS rule's status. |
| getUpgradableDevices | GET | Get switch QoS upgradable devices. |
| getDscpMappingTemplate | GET | Get switch QoS dscp mapping in site template. |
modifyRuleIndex
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/modify-index
Drag and sort the QoS rules.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DragSortIndexVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | no | |
omadacId | string | no | |
siteId | string | no | |
indexes | object | yes | DragSort indexes. The key corresponds to the rule id and the value corresponds to the new index value. |
// omada_call_operation
{
"operationId": "modifyRuleIndex",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Drag and sort the QoS rules.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-40005 - The switch QoS rule does not exist.
getOswQosMode
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-mode
Get switch QoS mode.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getOswQosMode",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch QoS mode.
The interface requires one of the permissions:
Network Config Page View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
modifyOswQosMode
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-mode
Modify switch QoS mode.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswQosModeVO
| Field | Type | Required | Description |
|---|---|---|---|
qosMode | integer | no | Switch QoS Mode, 0:old mode(Based on Qos Profile implementation), 1:new mode(Based on QoS rules implementation.) |
completed | integer | no | Indicates whether the new mode switch has been completed. 0: Not completed, 1: Completed. If it is in the preview state, qosMode is 1 and completed is 0. |
// omada_call_operation
{
"operationId": "modifyOswQosMode",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch QoS mode.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getQosRules
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule
Get switch QoS rules.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field |
// omada_call_operation
{
"operationId": "getQosRules",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch QoS rules.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
createQosRule
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule
Create switch QoS rule.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswQosRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The Qos rule id. This parameter is not required when creating or modifying Qos rule. |
index | integer | no | The index of Qos rule. This parameter is not required when creating or modifying Qos rule. |
name | string | yes | The name of Qos rule. |
status | boolean | yes | The status of Qos rule, true: enable, false:disable |
type | integer | yes | The type of Qos rule, 0:Network, 1:Port, 2:Custom |
ipVersion | array<integer> | yes | The selected ipVersion list of Qos rule, IPv4:[0], IPv6:[1], IPv4&IPv6:[0,1] |
lanNetworkEntries | array<LanNetworkEntryVO> | no | It can be issued when the type is either "Network" or "Custom". For the "Network" type, multiple options are available; for the "Custom" type, a single option is required. |
protocol | integer | no | Network Protocol(Reference to chapter 5.5.1 ACL Protocol Template at Home page). When the type is "Custom", it can be issued. |
dscp | integer | no | The dscp value(0-63). When the type is "Custom", it can be issued. |
queue | integer | yes | The queue of Qos rule(0-7). |
dscpReEnable | boolean | no | Whether to enable DSCP remark |
dscpRe | integer | no | The remarked dscp value(0-63). If it is set to "Auto", the actual issued value is 64. |
bindType | integer | no | Switch port bind type(0: all switch port, 1: custom switch port). |
deviceList | array<OswQosRuleDeviceVO> | no | List of switch devices to which QoS rule are bound, only for bindType 1 |
sPort | integer | no | The source port(0-65535). When the type is "Custom" and the protocol is TCP or UDP, it can be issued. |
dPort | integer | no | The destination port(0-65535). When the type is "Custom" and the protocol is TCP or UDP, it can be issued. |
// omada_call_operation
{
"operationId": "createQosRule",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create switch QoS rule.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteQosRule
DELETE /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/{qosRuleId}
Delete switch QoS rule.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
qosRuleId | path | string | yes | qosRuleId |
// omada_call_operation
{
"operationId": "deleteQosRule",
"params": {
"siteId": "<siteId>",
"qosRuleId": "<qosRuleId>"
}
}Details, permissions and error codes
Delete switch QoS rule.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modifyQosRule
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/{qosRuleId}
Modify switch QoS rule.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
qosRuleId | path | string | yes | qosRuleId |
Request body — application/json (required) — schema OswQosRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The Qos rule id. This parameter is not required when creating or modifying Qos rule. |
index | integer | no | The index of Qos rule. This parameter is not required when creating or modifying Qos rule. |
name | string | yes | The name of Qos rule. |
status | boolean | yes | The status of Qos rule, true: enable, false:disable |
type | integer | yes | The type of Qos rule, 0:Network, 1:Port, 2:Custom |
ipVersion | array<integer> | yes | The selected ipVersion list of Qos rule, IPv4:[0], IPv6:[1], IPv4&IPv6:[0,1] |
lanNetworkEntries | array<LanNetworkEntryVO> | no | It can be issued when the type is either "Network" or "Custom". For the "Network" type, multiple options are available; for the "Custom" type, a single option is required. |
protocol | integer | no | Network Protocol(Reference to chapter 5.5.1 ACL Protocol Template at Home page). When the type is "Custom", it can be issued. |
dscp | integer | no | The dscp value(0-63). When the type is "Custom", it can be issued. |
queue | integer | yes | The queue of Qos rule(0-7). |
dscpReEnable | boolean | no | Whether to enable DSCP remark |
dscpRe | integer | no | The remarked dscp value(0-63). If it is set to "Auto", the actual issued value is 64. |
bindType | integer | no | Switch port bind type(0: all switch port, 1: custom switch port). |
deviceList | array<OswQosRuleDeviceVO> | no | List of switch devices to which QoS rule are bound, only for bindType 1 |
sPort | integer | no | The source port(0-65535). When the type is "Custom" and the protocol is TCP or UDP, it can be issued. |
dPort | integer | no | The destination port(0-65535). When the type is "Custom" and the protocol is TCP or UDP, it can be issued. |
// omada_call_operation
{
"operationId": "modifyQosRule",
"params": {
"siteId": "<siteId>",
"qosRuleId": "<qosRuleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch QoS rule.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getSelectedDeviceBriefInfo
POST /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/device-info
Get switch QoS selected device brief info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswMacListVO
| Field | Type | Required | Description |
|---|---|---|---|
switchMacList | array<string> | yes | Switch Mac List |
// omada_call_operation
{
"operationId": "getSelectedDeviceBriefInfo",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get switch QoS selected device brief info.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getDscpMapping
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/dscp-mapping
Get switch QoS dscp mapping.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDscpMapping",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch QoS dscp mapping.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-40007 - The dscp mapping does not exist.
modifyDscpMapping
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/dscp-mapping
Modify switch QoS dscp mapping.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DscpMappingVO
| Field | Type | Required | Description |
|---|---|---|---|
mapping | object | yes | The Queue-DSCP mapping map. The key corresponds to the queue and the value corresponds to the DSCP value list |
// omada_call_operation
{
"operationId": "modifyDscpMapping",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch QoS dscp mapping.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-40007 - The dscp mapping does not exist.
getSchedulerMapping
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/scheduler-mapping
Get switch QoS queue scheduling.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSchedulerMapping",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch QoS queue scheduling.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-40008 - The queue schedule mapping does not exist.
modifySchedulerMapping
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/scheduler-mapping
Modify switch QoS queue scheduling.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema QueueSchedulerMappingVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | |
name | string | no | |
types | integer | no | |
mapping | array<QueueScheduleConfigVO> | no | |
buildIn | boolean | no |
// omada_call_operation
{
"operationId": "modifySchedulerMapping",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch QoS queue scheduling.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-40008 - The queue schedule mapping does not exist.
getSelectableDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/selectable-devices
Get switch QoS selectable devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
networkId | query | string | no | Network ID |
ruleType | query | integer | yes | The type of Qos rule, 0:Network, 1:Port, 2:Custom |
// omada_call_operation
{
"operationId": "getSelectableDevices",
"params": {
"siteId": "<siteId>",
"ruleType": "<ruleType>"
}
}Details, permissions and error codes
Get switch QoS selectable devices.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getAllSelectableDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/selectable-devices/all
Get switch QoS all selectable device's mac.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
networkId | query | string | no | Network ID |
ruleType | query | integer | yes | The type of Qos rule, 0:Network, 1:Port, 2:Custom |
// omada_call_operation
{
"operationId": "getAllSelectableDevices",
"params": {
"siteId": "<siteId>",
"ruleType": "<ruleType>"
}
}Details, permissions and error codes
Get switch QoS all selectable device's mac.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
modifyQosRuleStatus
PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/qos-rule/status/{qosRuleId}
Modify switch QoS rule's status.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
qosRuleId | path | string | yes | qosRuleId |
Request body — application/json (required) — schema OswQosRuleStatusVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes |
// omada_call_operation
{
"operationId": "modifyQosRuleStatus",
"params": {
"siteId": "<siteId>",
"qosRuleId": "<qosRuleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch QoS rule's status.
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getUpgradableDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-qos/upgradable-devices
Get switch QoS upgradable devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getUpgradableDevices",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get switch QoS upgradable devices.
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getDscpMappingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-qos/qos-rule/dscp-mapping
Get switch QoS dscp mapping in site template.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getDscpMappingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get switch QoS dscp mapping in site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-40007 - The dscp mapping does not exist.